# Class GetAddressBalanceRequest

#### Hierarchy

- unknown
  - GetAddressBalanceRequest

- Defined in src/protobuf/grpc_pb.d.ts:3348
- Defined in src/protobuf/grpc_pb.d.ts:3360

#####
Index

### Constructors

constructor

### Methods

getAddress
serializeBinary
setAddress
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetAddressBalanceRequest(): GetAddressBalanceRequest

- #### Returns GetAddressBalanceRequest

  Inherited from jspb.Message.constructor

## Methods

### getAddress

- getAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3349

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3352

### setAddress

- setAddress(value: string): GetAddressBalanceRequest

- #### Parameters

  - ##### value: string

  #### Returns GetAddressBalanceRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3350

### toObject

- toObject(includeInstance?: boolean): GetAddressBalanceRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetAddressBalanceRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3353

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetAddressBalanceRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetAddressBalanceRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3356

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetAddressBalanceRequest, reader: BinaryReader): GetAddressBalanceRequest

- #### Parameters

  - ##### message: GetAddressBalanceRequest

  - ##### reader: BinaryReader

  #### Returns GetAddressBalanceRequest

  - Defined in src/protobuf/grpc_pb.d.ts:3357

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetAddressBalanceRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetAddressBalanceRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3355

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetAddressBalanceRequest): GetAddressBalanceRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetAddressBalanceRequest

  #### Returns GetAddressBalanceRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3354

Generated using TypeDoc